Subject: Re: [PATCH 12/12] test-lib-functions: split out {debug,path,text} helpers

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Feb 2021 16:06:59 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Split out the debug, path and text miscellaneous helpers into their
> own files. The "test -[efsd]" etc. helpers were not all in one place
> in test-lib-functions.sh, I think moving them into their own file
> makes it easier to follow the code.

I'd prefer not to see this done.  It would be fine to move them in
different sections but still in the same file to group related
helpers together, but I am having enough trouble when deciding to
look into which between test-lib.sh and test-lib-functions.sh in the
current organization already.  And it will make the situation even
worse if we did this, no?